Python 安装matplotlib,six,dateutil,pyparsing 完整过程

之后又专门写了一篇如何解决Unable to find vcvarsall.bat  的笔记点击打开链接

--------------------------

在做词频分析的时候,需要用matlotlib 做图表,柱状图啥的,于是就开始了一个又一个的安装库的过程

因为matplotlib 需要依赖许多其他科学计算的第三方库,需要一个一个的安装了。。

1, 安装matplotlib

       官网直接下载:http://matplotlib.sourceforge.net/

       我找了一个.exe的安装完毕之后, 直接  import matplotlib,

       报错如下:

     

之后就是安装 six了

2, 安装six

   官网下载:http://www.pythonhosted.org/six/

我下载的是 six-1.8.0 的源码包, 解压之后,到解压目录,命令行执行 直接 python setup.py install 就可以安装完成

之后 再次import matplotlib 还是缺少库: dateutil

3, 安装dateutil

官网下载:https://pypi.python.org/pypi/python-dateutil/1.4.1

    我下载的是 python-dateutil-2.3 源码安装  同样到解压目录下,执行 python  setup.py install 同样可以安装成功,

继续执行:import matplotlib  ;依旧报错: 缺少 pyparsing库

4, 安装pyparsing

        官网下载 http://pyparsing.wikispaces.com/Download+and+Installation
    安装方式与前面一样 解压之后, 直接 python setup.py install ,安装完成====
    仍然 import matplotlib,还是缺少: numpy:

    


5, 安装numpy

下载http://www.numpy.org/

我直接下载的 numpy 1.9.1, 老方式安装,结果在安装的时候,报错了:


第一次碰到这个错误,在网上查资料之后, 发现是自己的C++/C 的编译器VC设置问题,

首先到 Python  目录下,找到 Lib-->distutils\msvc9compiler.py 这个文件:

        需要修改:
        

vc_env = query_vcvarsall(VERSION, plat_spec)

     这一行,如果你安装了 VS2012 ,就将VERSION直接改为11.0 如果是VS2013 就改为12.0

     之后,在找到:

mfinfo = self.manifest_get_embed_info(target_desc, ld_args) 

     这一行,直接改为:

       mfinfo = None

     再次执行 python setup.py install 安装numpy 成功:

    再次执行 import  matplotlib  OK!

     一个运行结果:





©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页